Loading...
Searching...
No Matches
ncpratevector.hh File Reference

Implements a vector representing mass, molar or volumetric rates. More...

`#include <dune/common/fvector.hh>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <opm/material/constraintsolvers/NcpFlash.hpp>`
`#include <opm/models/common/energymodule.hh>`
`#include <opm/models/common/multiphasebaseproperties.hh>`
`#include <opm/models/discretization/common/fvbaseproperties.hh>`

Go to the source code of this file.

## Classes

class | Opm::NcpRateVector< TypeTag >
| Implements a vector representing mass, molar or volumetric rates. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Implements a vector representing mass, molar or volumetric rates.

This class is basically a Dune::FieldVector which can be set using either mass, molar or volumetric rates.